#
# Copyright (C) 2018 devolo AG
#

# This script is sourced by /sbin/wifi if name is *.sh

# This driver is inserted to $DRIVERS in the position determined by the name of this file
# to make it last start the filename with z! (after e.g. mac80211 or qcawifi)
append DRIVERS delos_wifi

# We're not interested in these driver calls
detect_delos_wifi() :
disable_delos_wifi() :
disable_recover_delos_wifi() :
enable_delos_wifi() :
enable_recover_delos_wifi() :
load_delos_wifi() :
pre_delos_wifi() :
scan_delos_wifi() :
trap_delos_wifi() :
unload_delos_wifi() :

# When the post hook is called wireless is already loaded with config_load by
# qcawifi.sh and the ifnames are in /var/state/wireless
post_delos_wifi() {
	for hook in $DELOS_WIFI_DRIVERS; do
		$hook post "$@"
	done
}

# register delos-wifi driver plugins
DELOS_WIFI_DRIVERS=
for source_file in $(ls /lib/wifi/delos-wifi/[0-9][0-9]_* 2>/dev/null); do
	. $source_file
done
